function BS = blksetinit(Bd, nflg)

% blksetinit -- Construct a struct representing a set of image blocks
%
% Usage:
%       BS = blksetinit(Bd, nflg)
%
% Input:
%       Bd          Block size vector [num_rows num_cols]
%       nflg        Block normalization flag (default is 0)
%
% Output:
%       BS           A struct containing information on the block set

if nargin < 2,
  nflg = 0;
end
BS = struct('Bd', Bd, 'bn', 0, 'nflg', nflg, 'BlkMx', [], 'Len', []);

return
