%%
%% Demonstrate construction of grid sets
%%

% Construct example image (only dimensions matter for this demo)
img = zeros(121,127);
% Define block dimensions
Nbr = 8; Nbc = 8;
% Define grid offset steps
Vs = 1:7';

% Construct grid set and normalisation image
GRD = blockgrids(img, Nbr, Nbc, Vs);

% Construct a figure illustrating block structure in each grid
for ng = 1:size(GRD.Grids,1),
  % Current grid row coords
  Gr = GRD.Grids{ng,1};
  % Current grid column coords
  Gc = GRD.Grids{ng,2};
  % Initialise current grid image
  grd = zeros(size(img));
  % Iterate over all block origin locations in current grid
  for nr = 1:size(Gr,1),
    for nc = 1:size(Gc,2),
      r = Gr(nr,nc);
      c = Gc(nr,nc);
      % Set alternating pattern of block values
      if mod(nr+nc,2) == 0,
	grd(r:(r+Nbr-1),c:(c+Nbc-1)) = 1;
      else
	grd(r:(r+Nbr-1),c:(c+Nbc-1)) = 2;
      end
    end
  end
  % Display current grid image
  figure;
  imagesc(grd); axis image;
end

% Display normalisation image
figure;
imagesc(GRD.BlkCnt); axis image;
colorbar;
