function [Y, I] = max2(X)
  
% max2 -- Find the minimum value in a matrix
%
% Usage:
%       [Y, I] = max2(X)
%
% Input:
%       X           Matrix
%       
% Output:
%       Y           Maximum value in the matrix
%       I           Co-ordinates (a vector [row col]) of the max value

[YC,IC] = max(X);
[YR,IR] = max(YC);
Y = YR;
I = [IC(IR) IR];

return
