function [Y, I] = min2(X)
  
% min2 -- Find the minimum value in a matrix
%
% Usage:
%       [Y, I] = min2(X)
%
% Input:
%       X           Matrix
%       
% Output:
%       Y           Minimum value in the matrix
%       I           Co-ordinates (a vector [row col]) of the min value

[YC,IC] = min(X);
[YR,IR] = min(YC);
Y = YR;
I = [IC(IR) IR];

return
