function [B,S] = pca(U)

% pca -- PCA for data set
%
% Usage:
%       [B,S] = pca(U)
%
% Input:
%       U           Data matrix; each column is a sample
%  
% Output:
%       B           PCA basis (projection onto PCA basis is B')
%       S           Eigenvalues
%
% The projection onto the PCA subspace is B', and the projection into
% the subspace embedded in the full space is B*B'.

[B, S] = svd(U, 0);
S = diag(S).^2;

return
