function u = repband(v, n)

% repband -- Create multi-band image from single-band image by
%            replicating the input image
%
% Usage:
%       u = repband(v, n)
%
% Input:
%       v           Input single-band image
%       n           Number of bands in output image
%  
% Output:
%       u           Output multi-band image

if nargin < 2,
  n = 3;
end

u = repmat(v, [1 1 n]);

return
